#include "chdecl.h"
void CH_codegen_cgselector(current, sched, cop)
#define ARGUMENTS 9
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb5;
    case 4: goto c6;
    case 5: goto cb15;
    case 6: goto c16;
    case 7: goto c68;
    case 8: goto c71;
    case 9: goto cb75;
    case 10: goto c76;
    case 11: goto c78;
    case 12: goto c95;
    case 13: goto c98;
    case 14: goto c124;
    case 15: goto cb125;
    case 16: goto c126;
    case 17: goto c128;
    case 18: goto c134;
    case 19: goto c135;
    case 20: goto cb165;
    case 21: goto c166;
    case 22: goto c195;
    case 23: goto c198;
    case 24: goto cb199;
    case 25: goto c200;
    case 26: goto c202;
    case 27: goto c236;
    case 28: goto c265;
    case 29: goto c294;
    case 30: goto c296;
    case 31: goto c302;
    case 32: goto cb306;
    case 33: goto c307;
    case 34: goto c309;
    case 35: goto c326;
    case 36: goto cb343;
    case 37: goto c344;
    case 38: goto c354;
    case 39: goto cb357;
    case 40: goto c358;
    case 41: goto c450;
    case 42: goto c465;
    case 43: goto c475;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* find 4 3.1.4.0.1.0 3.0.0 , 0 */
  if (findfunc(DEF(4),DEF(3)DOT(1)DOT(4)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 5 4.2 */
  if((ch_returncode = (REF(4)DOT(2).tsdr->copy)(& ch_val, REF(4)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4)DOT(2).tsdr->number];
  current->ip = 3;
cb5:
/* call 3.1.3.9 3.0 3.2 3.1 3.4 6 7 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(9),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(3)DOT(1),
          arguments[4] = DEF(3)DOT(4),
          arguments[5] = DEF(6),
          arguments[6] = DEF(7),
          arguments[6+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c6:
/* case 8 3.4 */
  REF(8).value.enumeration = REF(3)DOT(4).value.variant->info.variant_case;
  REF(8).tsdr = & dr_enumeration;
/* new_inport 9 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_inport;
/* connect 3.6 9 */
  if (REF(9).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(9).value.inport->refcount++;
  REF(3)DOT(6).value.outport = REF(9).value.inport;
  REF(3)DOT(6).tsdr = & dr_outport;
/* copy 10 3.3 */
  REF(10) = REF(3)DOT(3);
/* copy 11 3.5 */
  if((ch_returncode = (REF(3)DOT(5).tsdr->copy)(& ch_val, REF(3)DOT(5).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).value = ch_val;
  REF(11).tsdr = datarepmap[REF(3)DOT(5).tsdr->number];
/* new_record 12 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val; REF(12).tsdr = & dr_record;
/* copy 12.1 3.0.1 */
  if((ch_returncode = (REF(3)DOT(0)DOT(1).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(1).value)) != Normal) goto ch_raise_exception;
  (*(REF(12)DOT(1).tsdr)->finalize)(REF(12)DOT(1).value,F_DISCARD,sched);
  REF(12)DOT(1).value = ch_val;
  REF(12)DOT(1).tsdr = datarepmap[REF(3)DOT(0)DOT(1).tsdr->number];
/* copy 12.0 3.0.0 */
  if((ch_returncode = (REF(3)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(12)DOT(0).tsdr)->finalize)(REF(12)DOT(0).value,F_DISCARD,sched);
  REF(12)DOT(0).value = ch_val;
  REF(12)DOT(0).tsdr = datarepmap[REF(3)DOT(0)DOT(0).tsdr->number];
  current->ip = 5;
cb15:
/* call 3.1.4.5 3.0.1 3.0.0 13 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(5),
          arguments[1] = DEF(3)DOT(0)DOT(1),
          arguments[2] = DEF(3)DOT(0)DOT(0),
          arguments[3] = DEF(13),
          arguments[3+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c16:
/* noop */
  
/* unique 14 */
  if ((ch_returncode = che_unique(DEF(14),sched)) != Normal)
     goto ch_raise_exception;
/* unique 15 */
  if ((ch_returncode = che_unique(DEF(15),sched)) != Normal)
     goto ch_raise_exception;
/* unique 16 */
  if ((ch_returncode = che_unique(DEF(16),sched)) != Normal)
     goto ch_raise_exception;
/* unique 17 */
  if ((ch_returncode = che_unique(DEF(17),sched)) != Normal)
     goto ch_raise_exception;
/* unique 18 */
  if ((ch_returncode = che_unique(DEF(18),sched)) != Normal)
     goto ch_raise_exception;
/* equal 19 8 =(0) */
  REF(19).value.boolean = (REF(8).value.enumeration == 0);
  REF(19).tsdr = & dr_boolean;
/* equal 20 8 =(1) */
  REF(20).value.boolean = (REF(8).value.enumeration == 1);
  REF(20).tsdr = & dr_boolean;
/* or 21 19 20 */
  REF(21).value.boolean = REF(19).value.boolean|REF(20).value.boolean;
  REF(21).tsdr = & dr_boolean;
/* notequal 22 10 =(2) */
  REF(22).value.boolean = (REF(10).value.enumeration != 2);
  REF(22).tsdr = & dr_boolean;
/* new_record 23 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val; REF(23).tsdr = & dr_record;
/* copy 23.0 12 */
  if((ch_returncode = cp_record(& ch_val, REF(12).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23)DOT(0).tsdr)->finalize)(REF(23)DOT(0).value,F_DISCARD,sched);
  REF(23)DOT(0).value = ch_val;
  REF(23)DOT(0).tsdr = & dr_record;
/* copy 23.1 3.5 */
  if((ch_returncode = (REF(3)DOT(5).tsdr->copy)(& ch_val, REF(3)DOT(5).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(23)DOT(1).tsdr)->finalize)(REF(23)DOT(1).value,F_DISCARD,sched);
  REF(23)DOT(1).value = ch_val;
  REF(23)DOT(1).tsdr = datarepmap[REF(3)DOT(5).tsdr->number];
/* copy 23.2 8 */
  REF(23)DOT(2) = REF(8);
/* insert 3.1.6.0 23 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(6)DOT(0),DEF(23)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* equal . 8 =(3) , 51 */
  if ( REF(8).value.enumeration == 3 ) goto c51;
/* equal . 8 =(1) , 56 */
  if ( REF(8).value.enumeration == 1 ) goto c56;
/* equal . 8 =(2) , 59 */
  if ( REF(8).value.enumeration == 2 ) goto c59;
/* equal . 8 =(0) , 62 */
  if ( REF(8).value.enumeration == 0 ) goto c62;
/* branch , 64 */
   goto c64;
c51:
/* reveal 3.4 , 3 */
  if (3 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* new_table 24 , 4 */
  if ((ch_returncode = che_new_table(DEF(24),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 25 3.4.0 */
  if((ch_returncode = (REF(3)DOT(4)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(4)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(3)DOT(4)DOT(0).tsdr->number];
/* insert 24 25 */
  if ((ch_returncode = insertfunc(DEF(24),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 66 */
   goto c66;
c56:
/* reveal 3.4 , 1 */
  if (1 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* copy 24 3.4.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).value = ch_val;
  REF(24).tsdr = & dr_table;
/* branch , 66 */
   goto c66;
c59:
/* reveal 3.4 , 2 */
  if (2 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* copy 24 3.4.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).value = ch_val;
  REF(24).tsdr = & dr_table;
/* branch , 66 */
   goto c66;
c62:
/* new_table 24 , 4 */
  if ((ch_returncode = che_new_table(DEF(24),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* branch , 66 */
   goto c66;
c64:
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c66:
/* copy 26 24 */
  if((ch_returncode = cp_table(& ch_val, REF(24).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val;
  REF(26).tsdr = & dr_table;
/* initget 27 26 , 0,0 */
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(27),DEF(26),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c68:
/* get_or_goto 27 26 , 98 */
  if ((ch_returncode = get_selected_object(DEF(27),DEF(26),sched)) != Normal)
     goto c98;
/* copy 28 27.0 */
  if((ch_returncode = cp_table(& ch_val, REF(27)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).value = ch_val;
  REF(28).tsdr = & dr_table;
/* initget 29 28 , 0,0 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(29),DEF(28),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c71:
/* get_or_goto 29 28 , 95 */
  if ((ch_returncode = get_selected_object(DEF(29),DEF(28),sched)) != Normal)
     goto c95;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* block , 6 */
  if((ch_returncode = che_block(QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* new_table 30 , 7 */
  if ((ch_returncode = che_new_table(DEF(30),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 9;
cb75:
/* call 3.1.3.3 29 30 3.1 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(3),
          arguments[1] = DEF(29),
          arguments[2] = DEF(30),
          arguments[3] = DEF(3)DOT(1),
          arguments[3+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c76:
/* endblock */
  che_endblock(sched);
/* branch , 71 */
   goto c71;
c78:
/* chs_lit 31 , "Problem translating statement; file/line/col:" */
  if( !chs_lit(DEF(31),"Problem translating statement; file/line/col:") )
     goto ch_depletion;
/* print 31 */
  re_print(stderr, 0, DEF(31)); fflush(stderr);
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* chs_lit 32 , "Position Map" */
  if( !chs_lit(DEF(32),"Position Map") ) goto ch_depletion;
/* find 33 3.1.0.2 32 , 0 */
  if (findfunc(DEF(33),DEF(3)DOT(1)DOT(0)DOT(2),(
          arguments[0] = DEF(32),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 34 33.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(33)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = & dr_polymorph;
/* unwrap 35 34 , 9 */
  if ((ch_returncode = che_unwrap(DEF(35),DEF(34),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* copy 36 3.1.4.0.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).value = ch_val;
  REF(36).tsdr = datarepmap[REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr->number];
/* unite 37 36 , 0 */
  if ((ch_returncode = che_unite(DEF(37),DEF(36),sched,0)) != Normal)
     goto ch_raise_exception;
/* find 38 35 37 , 0 */
  if (findfunc(DEF(38),DEF(35),(
          arguments[0] = DEF(37),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* new_record 39 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).value = ch_val; REF(39).tsdr = & dr_record;
/* copy 39.0 5 */
  if((ch_returncode = (REF(5).tsdr->copy)(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(39)DOT(0).tsdr)->finalize)(REF(39)DOT(0).value,F_DISCARD,sched);
  REF(39)DOT(0).value = ch_val;
  REF(39)DOT(0).tsdr = datarepmap[REF(5).tsdr->number];
/* copy 39.1 29.0 */
  if((ch_returncode = (REF(29)DOT(0).tsdr->copy)(& ch_val, REF(29)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(39)DOT(1).tsdr)->finalize)(REF(39)DOT(1).value,F_DISCARD,sched);
  REF(39)DOT(1).value = ch_val;
  REF(39)DOT(1).tsdr = datarepmap[REF(29)DOT(0).tsdr->number];
/* find 40 38.1 39 , 0 */
  if (findfunc(DEF(40),DEF(38)DOT(1),(
          arguments[0] = DEF(39),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* print 40.1 */
  re_print(stderr, 0, DEF(40)DOT(1)); fflush(stderr);
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c95:
/* endget 29 28 */
  end_selector(DEF(29),DEF(28),sched,GET);
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* branch , 68 */
   goto c68;
c98:
/* endget 27 26 */
  end_selector(DEF(27),DEF(26),sched,GET);
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* branch_false 21 , 135 */
  if ( !REF(21).value.boolean ) goto c135;
/* new_record 41 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val; REF(41).tsdr = & dr_record;
/* new_table 41.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(41)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 42 13 */
  if((ch_returncode = (REF(13).tsdr->copy)(& ch_val, REF(13).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = datarepmap[REF(13).tsdr->number];
/* insert 41.1 42 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(42),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 43 11 */
  if((ch_returncode = (REF(11).tsdr->copy)(& ch_val, REF(11).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).value = ch_val;
  REF(43).tsdr = datarepmap[REF(11).tsdr->number];
/* insert 41.1 43 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 8 =(0) , 119 */
  if ( REF(8).value.enumeration != 0 ) goto c119;
/* enum_lit 41.0 , 57 */
  REF(41)DOT(0).value.enumeration = 57;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* new_record 44 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val; REF(44).tsdr = & dr_record;
/* ilit 44.0 , 0 */
  REF(44)DOT(0).value.integer = 0;
  REF(44)DOT(0).tsdr = & dr_integer;
/* ilit 44.1 , 0 */
  REF(44)DOT(1).value.integer = 0;
  REF(44)DOT(1).tsdr = & dr_integer;
/* unite 41.2 44 , 5 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(44),sched,5)) != Normal)
     goto ch_raise_exception;
/* branch , 134 */
   goto c134;
c119:
/* enum_lit 41.0 , 74 */
  REF(41)DOT(0).value.enumeration = 74;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* reveal 3.4 , 1 */
  if (1 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* copy 45 3.4.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val;
  REF(45).tsdr = & dr_table;
/* initget 46 45 , 0,0 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(46),DEF(45),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c124:
/* get_or_goto 46 45 , 128 */
  if ((ch_returncode = get_selected_object(DEF(46),DEF(45),sched)) != Normal)
     goto c128;
  current->ip = 15;
cb125:
/* call 3.1.4.4 46.1 47 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(4),
          arguments[1] = DEF(46)DOT(1),
          arguments[2] = DEF(47),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c126:
/* insert 41.1 47 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(47),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 124 */
   goto c124;
c128:
/* endget 46 45 */
  end_selector(DEF(46),DEF(45),sched,GET);
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* copy 48 3.4.0.0 */
  if((ch_returncode = (REF(3)DOT(4)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(4)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).value = ch_val;
  REF(48).tsdr = datarepmap[REF(3)DOT(4)DOT(0)DOT(0).tsdr->number];
/* unite 41.2 48 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(48),sched,2)) != Normal)
     goto ch_raise_exception;
c134:
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c135:
/* branch_false 21 , 148 */
  if ( !REF(21).value.boolean ) goto c148;
/* copy 49 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(49).tsdr)->finalize)(REF(49).value,F_DISCARD,sched);
  REF(49).value = ch_val;
  REF(49).tsdr = & dr_nominal;
/* unite 3.1.4.3.2 49 , 0 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(49),sched,
    0)) != Normal) goto ch_raise_exception;
/* copy 50 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(50).tsdr)->finalize)(REF(50).value,F_DISCARD,sched);
  REF(50).value = ch_val;
  REF(50).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 50 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(50)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* copy 3.1.4.3.0 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value = ch_val;
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr = & dr_nominal;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
c148:
/* new_record 41 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val; REF(41).tsdr = & dr_record;
/* new_table 41.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(41)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 52 13 */
  if((ch_returncode = (REF(13).tsdr->copy)(& ch_val, REF(13).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(52).tsdr)->finalize)(REF(52).value,F_DISCARD,sched);
  REF(52).value = ch_val;
  REF(52).tsdr = datarepmap[REF(13).tsdr->number];
/* insert 41.1 52 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(52),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 53 11 */
  if((ch_returncode = (REF(11).tsdr->copy)(& ch_val, REF(11).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).value = ch_val;
  REF(53).tsdr = datarepmap[REF(11).tsdr->number];
/* insert 41.1 53 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(53),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* equal . 8 =(3) , 164 */
  if ( REF(8).value.enumeration == 3 ) goto c164;
/* equal . 8 =(2) , 195 */
  if ( REF(8).value.enumeration == 2 ) goto c195;
/* equal . 8 =(1) , 236 */
  if ( REF(8).value.enumeration == 1 ) goto c236;
/* equal . 8 =(0) , 265 */
  if ( REF(8).value.enumeration == 0 ) goto c265;
/* branch , 294 */
   goto c294;
c164:
/* reveal 3.4 , 3 */
  if (3 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 20;
cb165:
/* call 3.1.4.4 3.4.0.1 54 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(4),
          arguments[1] = DEF(3)DOT(4)DOT(0)DOT(1),
          arguments[2] = DEF(54),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c166:
/* insert 41.1 54 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(54),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch_false 22 , 187 */
  if ( !REF(22).value.boolean ) goto c187;
/* new_record 55 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val; REF(55).tsdr = & dr_record;
/* copy 55.0 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(55)DOT(0).tsdr)->finalize)(REF(55)DOT(0).value,F_DISCARD,sched);
  REF(55)DOT(0).value = ch_val;
  REF(55)DOT(0).tsdr = & dr_nominal;
/* copy 55.1 15 */
  if((ch_returncode = cp_nominal(& ch_val, REF(15).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(55)DOT(1).tsdr)->finalize)(REF(55)DOT(1).value,F_DISCARD,sched);
  REF(55)DOT(1).value = ch_val;
  REF(55)DOT(1).tsdr = & dr_nominal;
/* unite 3.1.4.3.2 55 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(55),sched,
    2)) != Normal) goto ch_raise_exception;
/* enum_lit 41.0 , 70 */
  REF(41)DOT(0).value.enumeration = 70;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* ilit 56 , 0 */
  REF(56).value.integer = 0;
  REF(56).tsdr = & dr_integer;
/* unite 41.2 56 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(56),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 57 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).value = ch_val;
  REF(57).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 57 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(57)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.1.4.3.0 15 */
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
/* branch , 192 */
   goto c192;
c187:
/* enum_lit 41.0 , 69 */
  REF(41)DOT(0).value.enumeration = 69;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* unite 41.2 51 , 0 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c192:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* branch , 296 */
   goto c296;
c195:
/* reveal 3.4 , 2 */
  if (2 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* copy 58 3.4.0.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(4)DOT(0)DOT(1).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).value = ch_val;
  REF(58).tsdr = & dr_table;
/* initget 59 58 , 0,0 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(59),DEF(58),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c198:
/* get_or_goto 59 58 , 202 */
  if ((ch_returncode = get_selected_object(DEF(59),DEF(58),sched)) != Normal)
     goto c202;
  current->ip = 24;
cb199:
/* call 3.1.4.4 59.1 60 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(4),
          arguments[1] = DEF(59)DOT(1),
          arguments[2] = DEF(60),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c200:
/* insert 41.1 60 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 198 */
   goto c198;
c202:
/* endget 59 58 */
  end_selector(DEF(59),DEF(58),sched,GET);
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* branch_false 22 , 227 */
  if ( !REF(22).value.boolean ) goto c227;
/* new_record 61 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).value = ch_val; REF(61).tsdr = & dr_record;
/* copy 61.0 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(61)DOT(0).tsdr)->finalize)(REF(61)DOT(0).value,F_DISCARD,sched);
  REF(61)DOT(0).value = ch_val;
  REF(61)DOT(0).tsdr = & dr_nominal;
/* copy 61.1 15 */
  if((ch_returncode = cp_nominal(& ch_val, REF(15).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(61)DOT(1).tsdr)->finalize)(REF(61)DOT(1).value,F_DISCARD,sched);
  REF(61)DOT(1).value = ch_val;
  REF(61)DOT(1).tsdr = & dr_nominal;
/* unite 3.1.4.3.2 61 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(61),sched,
    2)) != Normal) goto ch_raise_exception;
/* enum_lit 41.0 , 72 */
  REF(41)DOT(0).value.enumeration = 72;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* new_record 62 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).value = ch_val; REF(62).tsdr = & dr_record;
/* copy 62.0 3.4.0.0 */
  if((ch_returncode = (REF(3)DOT(4)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(4)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(62)DOT(0).tsdr)->finalize)(REF(62)DOT(0).value,F_DISCARD,sched);
  REF(62)DOT(0).value = ch_val;
  REF(62)DOT(0).tsdr = datarepmap[REF(3)DOT(4)DOT(0)DOT(0).tsdr->number];
/* ilit 62.1 , 0 */
  REF(62)DOT(1).value.integer = 0;
  REF(62)DOT(1).tsdr = & dr_integer;
/* unite 41.2 62 , 5 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(62),sched,5)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 63 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).value = ch_val;
  REF(63).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 63 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(63)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.1.4.3.0 15 */
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
/* branch , 233 */
   goto c233;
c227:
/* enum_lit 41.0 , 71 */
  REF(41)DOT(0).value.enumeration = 71;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* copy 64 3.4.0.0 */
  if((ch_returncode = (REF(3)DOT(4)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(4)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).value = ch_val;
  REF(64).tsdr = datarepmap[REF(3)DOT(4)DOT(0)DOT(0).tsdr->number];
/* unite 41.2 64 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(64),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c233:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* branch , 296 */
   goto c296;
c236:
/* not 65 22 */
  REF(65).value.boolean = !REF(22).value.boolean;
  REF(65).tsdr = & dr_boolean;
/* branch_false 65 , 244 */
  if ( !REF(65).value.boolean ) goto c244;
/* enum_lit 41.0 , 75 */
  REF(41)DOT(0).value.enumeration = 75;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* unite 41.2 51 , 0 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 262 */
   goto c262;
c244:
/* new_record 66 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  REF(66).value = ch_val; REF(66).tsdr = & dr_record;
/* copy 66.0 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(66)DOT(0).tsdr)->finalize)(REF(66)DOT(0).value,F_DISCARD,sched);
  REF(66)DOT(0).value = ch_val;
  REF(66)DOT(0).tsdr = & dr_nominal;
/* copy 66.1 15 */
  if((ch_returncode = cp_nominal(& ch_val, REF(15).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(66)DOT(1).tsdr)->finalize)(REF(66)DOT(1).value,F_DISCARD,sched);
  REF(66)DOT(1).value = ch_val;
  REF(66)DOT(1).tsdr = & dr_nominal;
/* unite 3.1.4.3.2 66 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(66),sched,
    2)) != Normal) goto ch_raise_exception;
/* enum_lit 41.0 , 76 */
  REF(41)DOT(0).value.enumeration = 76;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* ilit 67 , 0 */
  REF(67).value.integer = 0;
  REF(67).tsdr = & dr_integer;
/* unite 41.2 67 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(67),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 68 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 68 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(68)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.1.4.3.0 15 */
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
c262:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* branch , 296 */
   goto c296;
c265:
/* not 69 22 */
  REF(69).value.boolean = !REF(22).value.boolean;
  REF(69).tsdr = & dr_boolean;
/* branch_false 69 , 273 */
  if ( !REF(69).value.boolean ) goto c273;
/* enum_lit 41.0 , 59 */
  REF(41)DOT(0).value.enumeration = 59;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* unite 41.2 51 , 0 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* branch , 291 */
   goto c291;
c273:
/* new_record 70 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(70).tsdr)->finalize)(REF(70).value,F_DISCARD,sched);
  REF(70).value = ch_val; REF(70).tsdr = & dr_record;
/* copy 70.0 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(70)DOT(0).tsdr)->finalize)(REF(70)DOT(0).value,F_DISCARD,sched);
  REF(70)DOT(0).value = ch_val;
  REF(70)DOT(0).tsdr = & dr_nominal;
/* copy 70.1 15 */
  if((ch_returncode = cp_nominal(& ch_val, REF(15).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(70)DOT(1).tsdr)->finalize)(REF(70)DOT(1).value,F_DISCARD,sched);
  REF(70)DOT(1).value = ch_val;
  REF(70)DOT(1).tsdr = & dr_nominal;
/* unite 3.1.4.3.2 70 , 2 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(70),sched,
    2)) != Normal) goto ch_raise_exception;
/* enum_lit 41.0 , 60 */
  REF(41)DOT(0).value.enumeration = 60;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* ilit 71 , 0 */
  REF(71).value.integer = 0;
  REF(71).tsdr = & dr_integer;
/* unite 41.2 71 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(71),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 72 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  REF(72).value = ch_val;
  REF(72).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 72 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(72)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.1.4.3.0 15 */
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0) = REF(15);
  REF(15).tsdr = & dr_bottom;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
c291:
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* branch , 296 */
   goto c296;
c294:
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c296:
/* size 73 6 */
  REF(73).value.integer = REF(6).value.table->size;
  REF(73).tsdr = & dr_integer;
/* equal . 73 =(0) , 354 */
  if ( REF(73).value.integer == 0 ) goto c354;
/* copy 74 6 */
  if((ch_returncode = cp_table(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).value = ch_val;
  REF(74).tsdr = & dr_table;
/* initget 75 74 , 0,0 */
  (*(REF(75).tsdr)->finalize)(REF(75).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(75),DEF(74),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c302:
/* get_or_goto 75 74 , 326 */
  if ((ch_returncode = get_selected_object(DEF(75),DEF(74),sched)) != Normal)
     goto c326;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* block , 11 */
  if((ch_returncode = che_block(QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* new_table 76 , 7 */
  if ((ch_returncode = che_new_table(DEF(76),QUAL(7),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 32;
cb306:
/* call 3.1.3.3 75 76 3.1 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(3)DOT(3),
          arguments[1] = DEF(75),
          arguments[2] = DEF(76),
          arguments[3] = DEF(3)DOT(1),
          arguments[3+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c307:
/* endblock */
  che_endblock(sched);
/* branch , 302 */
   goto c302;
c309:
/* chs_lit 77 , "Problem translating statement; file/line/col:" */
  if( !chs_lit(DEF(77),"Problem translating statement; file/line/col:") )
     goto ch_depletion;
/* print 77 */
  re_print(stderr, 0, DEF(77)); fflush(stderr);
/* discard 77 */
  (*(REF(77).tsdr)->finalize)(REF(77).value,F_DISCARD,sched);
  REF(77).tsdr = & dr_bottom;
/* chs_lit 78 , "Position Map" */
  if( !chs_lit(DEF(78),"Position Map") ) goto ch_depletion;
/* find 79 3.1.0.2 78 , 0 */
  if (findfunc(DEF(79),DEF(3)DOT(1)DOT(0)DOT(2),(
          arguments[0] = DEF(78),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 80 79.1 */
  if((ch_returncode = cp_polymorph(& ch_val, REF(79)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(80).tsdr)->finalize)(REF(80).value,F_DISCARD,sched);
  REF(80).value = ch_val;
  REF(80).tsdr = & dr_polymorph;
/* unwrap 81 80 , 9 */
  if ((ch_returncode = che_unwrap(DEF(81),DEF(80),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* copy 82 3.1.4.0.0 */
  if((ch_returncode = (REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = datarepmap[REF(3)DOT(1)DOT(4)DOT(0)DOT(0).tsdr->number];
/* unite 83 82 , 0 */
  if ((ch_returncode = che_unite(DEF(83),DEF(82),sched,0)) != Normal)
     goto ch_raise_exception;
/* find 84 81 83 , 0 */
  if (findfunc(DEF(84),DEF(81),(
          arguments[0] = DEF(83),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* new_record 85 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).value = ch_val; REF(85).tsdr = & dr_record;
/* copy 85.0 5 */
  if((ch_returncode = (REF(5).tsdr->copy)(& ch_val, REF(5).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(85)DOT(0).tsdr)->finalize)(REF(85)DOT(0).value,F_DISCARD,sched);
  REF(85)DOT(0).value = ch_val;
  REF(85)DOT(0).tsdr = datarepmap[REF(5).tsdr->number];
/* copy 85.1 75.0 */
  if((ch_returncode = (REF(75)DOT(0).tsdr->copy)(& ch_val, REF(75)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(85)DOT(1).tsdr)->finalize)(REF(85)DOT(1).value,F_DISCARD,sched);
  REF(85)DOT(1).value = ch_val;
  REF(85)DOT(1).tsdr = datarepmap[REF(75)DOT(0).tsdr->number];
/* find 86 84.1 85 , 0 */
  if (findfunc(DEF(86),DEF(84)DOT(1),(
          arguments[0] = DEF(85),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* print 86.1 */
  re_print(stderr, 0, DEF(86)DOT(1)); fflush(stderr);
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c326:
/* endget 75 74 */
  end_selector(DEF(75),DEF(74),sched,GET);
/* discard 74 */
  (*(REF(74).tsdr)->finalize)(REF(74).value,F_DISCARD,sched);
  REF(74).tsdr = & dr_bottom;
/* new_record 87 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).value = ch_val; REF(87).tsdr = & dr_record;
/* copy 87.0 16 */
  if((ch_returncode = cp_nominal(& ch_val, REF(16).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87)DOT(0).tsdr)->finalize)(REF(87)DOT(0).value,F_DISCARD,sched);
  REF(87)DOT(0).value = ch_val;
  REF(87)DOT(0).tsdr = & dr_nominal;
/* not 88 22 */
  REF(88).value.boolean = !REF(22).value.boolean;
  REF(88).tsdr = & dr_boolean;
/* branch_false 88 , 337 */
  if ( !REF(88).value.boolean ) goto c337;
/* branch_false 21 , 335 */
  if ( !REF(21).value.boolean ) goto c335;
/* copy 87.1 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87)DOT(1).tsdr)->finalize)(REF(87)DOT(1).value,F_DISCARD,sched);
  REF(87)DOT(1).value = ch_val;
  REF(87)DOT(1).tsdr = & dr_nominal;
/* branch , 341 */
   goto c341;
c335:
/* copy 87.1 17 */
  if((ch_returncode = cp_nominal(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87)DOT(1).tsdr)->finalize)(REF(87)DOT(1).value,F_DISCARD,sched);
  REF(87)DOT(1).value = ch_val;
  REF(87)DOT(1).tsdr = & dr_nominal;
/* branch , 341 */
   goto c341;
c337:
/* branch_false 21 , 340 */
  if ( !REF(21).value.boolean ) goto c340;
/* copy 87.1 14 */
  if((ch_returncode = cp_nominal(& ch_val, REF(14).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87)DOT(1).tsdr)->finalize)(REF(87)DOT(1).value,F_DISCARD,sched);
  REF(87)DOT(1).value = ch_val;
  REF(87)DOT(1).tsdr = & dr_nominal;
/* branch , 341 */
   goto c341;
c340:
/* copy 87.1 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(87)DOT(1).tsdr)->finalize)(REF(87)DOT(1).value,F_DISCARD,sched);
  REF(87)DOT(1).value = ch_val;
  REF(87)DOT(1).tsdr = & dr_nominal;
c341:
/* unite 3.1.4.3.2 87 , 1 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(87),sched,
    1)) != Normal) goto ch_raise_exception;
/* copy 41 3.1.5.2 */
  if((ch_returncode = cp_record(& ch_val, REF(3)DOT(1)DOT(5)DOT(2).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = & dr_record;
  current->ip = 36;
cb343:
/* call 3.1.4.4 7 89 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(1)DOT(4)DOT(4),
          arguments[1] = DEF(7),
          arguments[2] = DEF(89),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c344:
/* insert 41.1 89 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(89),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.1.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* copy 90 3.1.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).value = ch_val;
  REF(90).tsdr = & dr_nominal;
/* insert 3.1.4.2.2 90 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(2),DEF(90)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 3.1.4.2.0 3.1.4.3 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(1)DOT(4)DOT(2)DOT(0),
    DEF(3)DOT(1)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 3.1.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(4)DOT(3).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3).value = ch_val; REF(3)DOT(1)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 3.1.4.3.0 16 */
  (*(REF(3)DOT(1)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(3)DOT(1)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(3)DOT(1)DOT(4)DOT(3)DOT(0) = REF(16);
  REF(16).tsdr = & dr_bottom;
/* new_table 3.1.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(3)DOT(1)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 3.1.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(3)DOT(1)DOT(4)DOT(3)DOT(2),DEF(51),sched,
    6)) != Normal) goto ch_raise_exception;
c354:
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
  current->ip = 39;
cb357:
/* receive 91 9 */
  if ((ch_returncode = che_receive(DEF(91),DEF(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c358:
/* noop */
  
/* equal 92 10 =(0) */
  REF(92).value.boolean = (REF(10).value.enumeration == 0);
  REF(92).tsdr = & dr_boolean;
/* and 93 92 21 */
  REF(93).value.boolean = REF(92).value.boolean&REF(21).value.boolean;
  REF(93).tsdr = & dr_boolean;
/* branch_false 93 , 372 */
  if ( !REF(93).value.boolean ) goto c372;
/* unite 91.0.4.3.2 14 , 0 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(14)
    ,sched,0)) != Normal) goto ch_raise_exception;
/* copy 94 91.0.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).value = ch_val;
  REF(94).tsdr = & dr_nominal;
/* insert 91.0.4.2.2 94 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(2),DEF(94)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 91.0.4.2.0 91.0.4.3 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(0),
    DEF(91)DOT(0)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 91.0.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(91)DOT(0)DOT(4)DOT(3).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3).value = ch_val; REF(91)DOT(0)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 91.0.4.3.0 18 */
  (*(REF(91)DOT(0)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3)DOT(0) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* new_table 91.0.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 91.0.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(51)
    ,sched,6)) != Normal) goto ch_raise_exception;
/* branch , 423 */
   goto c423;
c372:
/* branch_false 22 , 384 */
  if ( !REF(22).value.boolean ) goto c384;
/* copy 95 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).value = ch_val;
  REF(95).tsdr = & dr_nominal;
/* unite 91.0.4.3.2 95 , 0 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(95)
    ,sched,0)) != Normal) goto ch_raise_exception;
/* copy 96 91.0.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).value = ch_val;
  REF(96).tsdr = & dr_nominal;
/* insert 91.0.4.2.2 96 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(2),DEF(96)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 91.0.4.2.0 91.0.4.3 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(0),
    DEF(91)DOT(0)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 91.0.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(91)DOT(0)DOT(4)DOT(3).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3).value = ch_val; REF(91)DOT(0)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 91.0.4.3.0 18 */
  (*(REF(91)DOT(0)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3)DOT(0) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* new_table 91.0.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 91.0.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(51)
    ,sched,6)) != Normal) goto ch_raise_exception;
/* branch , 421 */
   goto c421;
c384:
/* not 97 21 */
  REF(97).value.boolean = !REF(21).value.boolean;
  REF(97).tsdr = & dr_boolean;
/* size 98 6 */
  REF(98).value.integer = REF(6).value.table->size;
  REF(98).tsdr = & dr_integer;
/* notequal 99 98 =(0) */
  REF(99).value.boolean = (REF(98).value.integer != 0);
  REF(99).tsdr = & dr_boolean;
/* and 100 97 99 */
  REF(100).value.boolean = REF(97).value.boolean&REF(99).value.boolean;
  REF(100).tsdr = & dr_boolean;
/* branch_false 100 , 418 */
  if ( !REF(100).value.boolean ) goto c418;
/* copy 101 18 */
  if((ch_returncode = cp_nominal(& ch_val, REF(18).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(101).tsdr)->finalize)(REF(101).value,F_DISCARD,sched);
  REF(101).value = ch_val;
  REF(101).tsdr = & dr_nominal;
/* unite 91.0.4.3.2 101 , 0 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(101)
    ,sched,0)) != Normal) goto ch_raise_exception;
/* copy 102 91.0.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(102).tsdr)->finalize)(REF(102).value,F_DISCARD,sched);
  REF(102).value = ch_val;
  REF(102).tsdr = & dr_nominal;
/* insert 91.0.4.2.2 102 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(2),DEF(102)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 91.0.4.2.0 91.0.4.3 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(0),
    DEF(91)DOT(0)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 91.0.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(91)DOT(0)DOT(4)DOT(3).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3).value = ch_val; REF(91)DOT(0)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 91.0.4.3.0 17 */
  (*(REF(91)DOT(0)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3)DOT(0) = REF(17);
  REF(17).tsdr = & dr_bottom;
/* new_table 91.0.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 91.0.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(51)
    ,sched,6)) != Normal) goto ch_raise_exception;
/* new_record 41 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val; REF(41).tsdr = & dr_record;
/* enum_lit 41.0 , 112 */
  REF(41)DOT(0).value.enumeration = 112;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* new_table 41.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(41)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* ilit 103 , 8 */
  REF(103).value.integer = 8;
  REF(103).tsdr = & dr_integer;
/* unite 41.2 103 , 2 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(103),sched,2)) != Normal)
     goto ch_raise_exception;
/* insert 91.0.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* unite 91.0.4.3.2 51 , 5 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(51)
    ,sched,5)) != Normal) goto ch_raise_exception;
/* copy 104 91.0.4.3.0 */
  if((ch_returncode = cp_nominal(& ch_val, 
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(104).tsdr)->finalize)(REF(104).value,F_DISCARD,sched);
  REF(104).value = ch_val;
  REF(104).tsdr = & dr_nominal;
/* insert 91.0.4.2.2 104 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(2),DEF(104)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* insert 91.0.4.2.0 91.0.4.3 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(2)DOT(0),
    DEF(91)DOT(0)DOT(4)DOT(3),FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 91.0.4.3 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(91)DOT(0)DOT(4)DOT(3).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3).value = ch_val; REF(91)DOT(0)DOT(4)DOT(3).tsdr
     = & dr_record;
/* move 91.0.4.3.0 18 */
  (*(REF(91)DOT(0)DOT(4)DOT(3)DOT(0).tsdr)->finalize)(
    REF(91)DOT(0)DOT(4)DOT(3)DOT(0).value,F_DISCARD,sched);
  REF(91)DOT(0)DOT(4)DOT(3)DOT(0) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* new_table 91.0.4.3.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),QUAL(4)
    ,sched)) != Normal)  goto ch_raise_exception;
/* unite 91.0.4.3.2 51 , 6 */
  if ((ch_returncode = che_unite(DEF(91)DOT(0)DOT(4)DOT(3)DOT(2),DEF(51)
    ,sched,6)) != Normal) goto ch_raise_exception;
c418:
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
c421:
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
c423:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* branch_false 21 , 442 */
  if ( !REF(21).value.boolean ) goto c442;
/* new_record 41 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val; REF(41).tsdr = & dr_record;
/* notequal . 8 =(0) , 434 */
  if ( REF(8).value.enumeration != 0 ) goto c434;
/* enum_lit 41.0 , 58 */
  REF(41)DOT(0).value.enumeration = 58;
  REF(41)DOT(0).tsdr = & dr_enumeration;
/* branch , 436 */
   goto c436;
c434:
/* enum_lit 41.0 , 77 */
  REF(41)DOT(0).value.enumeration = 77;
  REF(41)DOT(0).tsdr = & dr_enumeration;
c436:
/* new_table 41.1 , 4 */
  if ((ch_returncode = che_new_table(DEF(41)DOT(1),QUAL(4),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 41.1 13 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(13),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 41.1 11 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(11),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 41.2 51 , 0 */
  if ((ch_returncode = che_unite(DEF(41)DOT(2),DEF(51),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 91.0.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(91)DOT(0)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
c442:
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* privatize 91.0.6.0 */
  if (REF(91)DOT(0)DOT(6)DOT(0).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(91)DOT(0)DOT(6)DOT(0))) != Normal)
       goto ch_raise_exception;
/* find 105 91.0.6.0 12 , 0 */
  if (findfunc(DEF(105),DEF(91)DOT(0)DOT(6)DOT(0),(
          arguments[0] = DEF(12),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 106 105 91.0.6.0 , 0 */
  if ((ch_returncode = removefunc(DEF(106),DEF(105),DEF(91)DOT(0)DOT(6)DOT(0)
    ,sched,0,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* return 91 */
  if (ch_caller = do_return(REF(91).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(91).value);
  REF(91).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 465 */
   goto c465;
c450:
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 37 */
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).tsdr = & dr_bottom;
/* discard 39 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  REF(39).tsdr = & dr_bottom;
/* discard 76 */
  (*(REF(76).tsdr)->finalize)(REF(76).value,F_DISCARD,sched);
  REF(76).tsdr = & dr_bottom;
/* discard 81 */
  (*(REF(81).tsdr)->finalize)(REF(81).value,F_DISCARD,sched);
  REF(81).tsdr = & dr_bottom;
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* discard 85 */
  (*(REF(85).tsdr)->finalize)(REF(85).value,F_DISCARD,sched);
  REF(85).tsdr = & dr_bottom;
/* chs_lit 107 , "CantHappen exit taken in cgselector" */
  if( !chs_lit(DEF(107),"CantHappen exit taken in cgselector") )
     goto ch_depletion;
/* print 107 */
  re_print(stderr, 0, DEF(107)); fflush(stderr);
/* discard 107 */
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  REF(107).tsdr = & dr_bottom;
c465:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 16 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  REF(16).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 106 */
  (*(REF(106).tsdr)->finalize)(REF(106).value,F_DISCARD,sched);
  REF(106).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c475:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
